%define debug_package %{nil}

Name:           %(make name)
Version:        %(make version)
Release:        1%{?dist}
Summary:        Netoik Shfmt package when it is only available via Snap

License:        GPLv3
Source0:        %{name}-%{version}.tar.gz

BuildArch:      x86_64
BuildRequires:  make
Requires:       snapd

%description
Netoik Shfmt package when it is only available via Snap

%prep
%autosetup -v

%build
%make_build

%install
%make_install

%post
ln --symbolic --force /var/lib/snapd/snap/bin/shfmt %{_bindir}/%{name}

%preun
if [ $1 -eq 0 ]; then
	rm --force %{_bindir}/%{name}
fi

%files
%attr(644, root, root) %{_var}/%{name}/README.md
%attr(644, root, root) %{_var}/%{name}/LICENSE
